databaseStorage

Upload and store files directly within your GitBook organization.

Whether you're hosting images, documents, or other assets, Storage endpoints allow you to integrate those files into your documentation and spaces seamlessly.

Create a signed URL to upload a file

post

Generate a pre-signed URL that can be used to upload a file to storage

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

Body
kindstring · enumRequiredPossible values:
Responses
chevron-right
201

Successfully generated signed URL for file upload

application/json
objectstring · enumRequired

The kind of file to upload

Possible values:
urlstring · uri · max: 2048Required

Presigned URL for uploading the file

keystringRequired

The bucket object key for the file

post
/orgs/{organizationId}/storage/upload

Last updated

Was this helpful?